import { Job } from './model/Job';
import * as Firebase from 'firebase-admin';
import { Handlers } from './interfaces/Handlers';
declare class Scheduler {
    private jobList;
    private bonfireRef;
    private jobCompletionHandler;
    constructor(reference: Firebase.database.Reference, jobCompletionHandler: Handlers.JobCompletionHandler);
    getRef(): Firebase.database.Reference;
    getPendingJobCount(): number;
    private queueExistingJobs();
    private getJobCallback(key);
    private scheduleJob(job);
    schedule(job: Job): Promise<Job>;
    cancel(key: string): Promise<void>;
}
export { Scheduler, Job };
